httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "William A. Rowe, Jr." <wr...@covalent.net>
Subject Re: 1.3.23 msi doesn't install apxs?
Date Thu, 07 Feb 2002 02:55:41 GMT
From: "Rodent of Unusual Size" <Ken.Coar@Golux.Com>
Sent: Wednesday, February 06, 2002 8:43 PM


> OtherBill, didn't you say that apxs works on Windows
> for 1.2?  Shouldn't the 'full' MSI install include it?

For 1.3.20 or so and on, yes it does work.

However, to install it, we would need to 'rewrite' the apxs file to point
at the appropriate paths.  We do this now with a bit of awk code twords the
end of the src/Makefile.win build script, for developers.

If you wanted to install for end-users [presuming they even had msvc installed]
you would need to change the awk scripts that run as part of the msi installer.
Those can be found in the httpd-win32-msi repository.  I rolled the two scripts
(RewriteConf and DuplicateConf, or some such) into a single script for 2.0.
The right solution is probably to follow the pattern of that new script for 2.0,
and add the rewriting required for apxs.pl.

Bill


Mime
View raw message